<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="curr" section="in-commerce:currencies" title_preset="currencies_list" pagination="1"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();

				function edit()
	  			{
					std_edit_item('curr', 'in-commerce/currencies/currencies_edit');
	  			}

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>', edit) );

				a_toolbar.AddButton( new ToolBarSeparator('sep6') );

				a_toolbar.AddButton( new ToolBarButton('setprimary', '<inp2:m_phrase label="la_ToolTip_setPrimary" escape="1"/>', function() {
							submit_event('curr','OnSetPrimary');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('approve', '<inp2:m_phrase label="la_ToolTip_Approve" escape="1"/>', function() {
							submit_event('curr','OnMassApprove');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('decline', '<inp2:m_phrase label="la_ToolTip_Decline" escape="1"/>', function() {
							submit_event('curr','OnMassDecline');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				a_toolbar.AddButton( new ToolBarButton('move_up', '<inp2:m_phrase label="la_ToolTip_MoveUp" escape="1"/>', function() {
							submit_event('curr','OnMassMoveUp');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('move_down', '<inp2:m_phrase label="la_ToolTip_MoveDown" escape="1"/>', function() {
							submit_event('curr','OnMassMoveDown');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep3') );

				a_toolbar.AddButton( new ToolBarButton('in-commerce:update_rates', '<inp2:m_phrase label="la_ToolTip_UpdateRates" escape="1"/>', function() {
							if(Grids['curr'].CountSelected() > 0)
							{
								message = '<inp2:m_phrase label="la_warning_UpdateSelectedCurrencyRates" />?';
							}
							else
							{
								message = '<inp2:m_phrase label="la_warning_UpdateAllCurrencyRates" />?';
							}
							if(confirm(message))
							{
								submit_event('curr','OnUpdateRates');
							}
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep4') );

				a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
							show_viewmenu(a_toolbar,'view');
						}
				) );

				a_toolbar.Render();

				<inp2:m_if check="curr_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="curr_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="curr_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>

		</td>

		<inp2:m_RenderElement name="search_main_toolbar" prefix="curr" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_DefineElement name="currency_caption_td" >
	<inp2:Field field="$field" grid="$grid"/>
	<inp2:m_ifnot check="Field" field="Priority" equals_to="0"><span class="priority"><sup><inp2:Field field="Priority" /></sup></span></inp2:m_ifnot>
</inp2:m_DefineElement>

<inp2:m_RenderElement name="grid" PrefixSpecial="curr" IdField="CurrencyId" grid="Default"/>

<script type="text/javascript">
	Grids['curr'].SetDependantToolbarButtons( new Array('edit','setprimary','approve','decline','move_up','move_down') );
</script>

<inp2:m_DefineElement name="remove_unused_warning" >
	<input type="hidden" name="unused_ids" id="unused_ids" value="<inp2:m_param name="unused_ids" />">
	<script type="text/javascript">
		if(inpConfirm('<inp2:m_phrase label="la_WarningCurrenciesNotUsed" />: <inp2:m_param name="unused_iso" />. <inp2:m_phrase label="la_WarningRemoveUnusedCurrencies" />?'))
		{
			submit_event('curr', 'OnDisableUnused');
		}
	</script>
</inp2:m_DefineElement>
<inp2:curr_DisableUnusedWarning block="remove_unused_warning" />

<inp2:m_include t="incs/footer"/>